package tkio.model;

import java.math.BigInteger;

public class AccountRestrict4Web {
    private String packageName;
    private String originalName;
    private BigInteger IOLimit;
    private String pastDate;
    private BigInteger TrackLimit;
    private Long accountId;
    private int priceLevel;
    private int iOremainingDays;
    private int trackRemainingDays;
    private BigInteger TrackTotalFlow;
    private BigInteger thisMonthIOFlow;
    private Double trackRemainPercent;
    private Double IORemainPercent;
    private BigInteger lastMonthIOFlow;
    private Boolean isFlowRestrict;
    private Long packLevel;
    private Boolean isTrackPastTimeNotified;
    private Boolean isIOPastTimeNotified;
    private Boolean isTrackFlowNotified;
    private Boolean isIOFlowNotified;
    private Boolean allowBehavior;

    public Long getPackLevel() {
        return packLevel;
    }

    public void setPackLevel(Long packLevel) {
        this.packLevel = packLevel;
    }

    public Boolean getFlowRestrict() {
        return isFlowRestrict;
    }

    public void setFlowRestrict(Boolean flowRestrict) {
        isFlowRestrict = flowRestrict;
    }

    public String getPackageName() {
        return packageName;
    }

    public void setPackageName(String packageName) {
        this.packageName = packageName;
    }

    public String getOriginalName() {
        return originalName;
    }

    public void setOriginalName(String originalName) {
        this.originalName = originalName;
    }

    public BigInteger getIOLimit() {
        return IOLimit;
    }

    public void setIOLimit(BigInteger IOLimit) {
        this.IOLimit = IOLimit;
    }

    public String getPastDate() {
        return pastDate;
    }

    public void setPastDate(String pastDate) {
        this.pastDate = pastDate;
    }

    public BigInteger getTrackLimit() {
        return TrackLimit;
    }

    public void setTrackLimit(BigInteger trackLimit) {
        TrackLimit = trackLimit;
    }

    public Long getAccountId() {
        return accountId;
    }

    public void setAccountId(Long accountId) {
        this.accountId = accountId;
    }

    public int getPriceLevel() {
        return priceLevel;
    }

    public void setPriceLevel(int priceLevel) {
        this.priceLevel = priceLevel;
    }

    public int getiOremainingDays() {
        return iOremainingDays;
    }

    public void setiOremainingDays(int iOremainingDays) {
        this.iOremainingDays = iOremainingDays;
    }

    public int getTrackRemainingDays() {
        return trackRemainingDays;
    }

    public void setTrackRemainingDays(int trackRemainingDays) {
        this.trackRemainingDays = trackRemainingDays;
    }

    public BigInteger getTrackTotalFlow() {
        return TrackTotalFlow;
    }

    public void setTrackTotalFlow(BigInteger trackTotalFlow) {
        TrackTotalFlow = trackTotalFlow;
    }

    public BigInteger getThisMonthIOFlow() {
        return thisMonthIOFlow;
    }

    public void setThisMonthIOFlow(BigInteger thisMonthIOFlow) {
        this.thisMonthIOFlow = thisMonthIOFlow;
    }

    public Double getTrackRemainPercent() {
        return trackRemainPercent;
    }

    public void setTrackRemainPercent(Double trackRemainPercent) {
        this.trackRemainPercent = trackRemainPercent;
    }

    public Double getIORemainPercent() {
        return IORemainPercent;
    }

    public void setIORemainPercent(Double IORemainPercent) {
        this.IORemainPercent = IORemainPercent;
    }

    public BigInteger getLastMonthIOFlow() {
        return lastMonthIOFlow;
    }

    public void setLastMonthIOFlow(BigInteger lastMonthIOFlow) {
        this.lastMonthIOFlow = lastMonthIOFlow;
    }

    public Boolean getTrackPastTimeNotified() {
        return isTrackPastTimeNotified;
    }

    public void setTrackPastTimeNotified(Boolean trackPastTimeNotified) {
        isTrackPastTimeNotified = trackPastTimeNotified;
    }

    public Boolean getIOPastTimeNotified() {
        return isIOPastTimeNotified;
    }

    public void setIOPastTimeNotified(Boolean IOPastTimeNotified) {
        isIOPastTimeNotified = IOPastTimeNotified;
    }

    public Boolean getTrackFlowNotified() {
        return isTrackFlowNotified;
    }

    public void setTrackFlowNotified(Boolean trackFlowNotified) {
        isTrackFlowNotified = trackFlowNotified;
    }

    public Boolean getIOFlowNotified() {
        return isIOFlowNotified;
    }

    public void setIOFlowNotified(Boolean IOFlowNotified) {
        isIOFlowNotified = IOFlowNotified;
    }

    public Boolean getAllowBehavior() {
        return allowBehavior;
    }

    public void setAllowBehavior(Boolean allowBehavior) {
        this.allowBehavior = allowBehavior;
    }
}
